Package org.drinkless.tdlib

# Class TdApi.LinkPreviewTypeChat

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.LinkPreviewType
org.drinkless.tdlib.TdApi.LinkPreviewTypeChat

Enclosing class:
  TdApi

public static class TdApi.LinkPreviewTypeChat extends TdApi.LinkPreviewType
The link is a link to a chat.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.LinkPreviewType

  `TdApi.LinkPreviewType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `createsJoinRequest`
  True, if the link only creates join request.
  `TdApi.ChatPhoto`
  `photo`
  Photo of the chat; may be null.
  `TdApi.InviteLinkChatType`
  `type`
  Type of the chat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkPreviewTypeChat()`
  The link is a link to a chat.
  `LinkPreviewTypeChat(TdApi.InviteLinkChatType type, TdApi.ChatPhoto photo, boolean createsJoinRequest)`
  The link is a link to a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### type

    public TdApi.InviteLinkChatType type
    Type of the chat.

  - ### photo

    @Nullable public TdApi.ChatPhoto photo
    Photo of the chat; may be null.

  - ### createsJoinRequest

    public boolean createsJoinRequest
    True, if the link only creates join request.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LinkPreviewTypeChat

    public LinkPreviewTypeChat()
    The link is a link to a chat.

  - ### LinkPreviewTypeChat

    public LinkPreviewTypeChat(TdApi.InviteLinkChatType type, TdApi.ChatPhoto photo, boolean createsJoinRequest)
    The link is a link to a chat.
    Parameters:
      `type` - Type of the chat.
      `photo` - Photo of the chat; may be null.
      `createsJoinRequest` - True, if the link only creates join request.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.LinkPreviewType`
    Returns:
      this.CONSTRUCTOR